return function ($app, ws, $scope, $rootScope, $location, message) {
	$app.listing();
	$scope.submit = function() {
		ws.login($scope.username, $scope.password).then(function(json) {
			sessionStorage.session_id = json.data.session_id;
			$app.can_customize_resource_limits = json.data.can_customize_resource_limits;
			$app.can_see_resellers = json.data.can_see_resellers;
			$app.can_change_settings = json.data.can_change_settings;
			$app.can_generate_reports = json.data.can_generate_reports;
			$app.can_change_username = json.data.can_change_username;
			if ($app.referrer) {
				$app.jump($app.referrer);
				if ($location.path() == '/login') {
					$app.jump('/tenants'); //until dashboard comes alive
				}
			} else {
				$app.jump('/tenants'); //until dashboard comes alive
			}
			if (json.data.notify_whitelist_unconfigured) {
				message.prompt_2();
			}
		})
		.catch($app.default_error_handler);
	}
};
